<div class="cuerpo">
<div class="form-container mat-elevation-z5">
  <form [formGroup]="loginForm" (ngSubmit)="submit()">
    <mat-form-field>
      <input matInput placeholder="Email address" formControlName="email" />
      <mat-error *ngIf="email?.errors?.['required']">
        Ingresar un correo electronico
      </mat-error>
      <mat-error *ngIf="email?.errors?.['email']">
       Ingresar un correo electronico valido
      </mat-error>
    </mat-form-field>
    <mat-form-field>
      <input matInput type="password" placeholder="Password" formControlName="password" />
      <mat-error *ngIf="password?.errors?.['required']">
        Se requiere una contraseña
      </mat-error>
    </mat-form-field>

    
    <div class="center margin-top">
      <button type="submit" 
              mat-raised-button style="background-color: rgb(19, 116, 24); color: rgb(225, 225, 225);  ">Iniciar Sesión</button>
    </div>

    <span class="center margin-top">
      Eres nuevo?...
        <a class="sign-up-link" routerLink="/sign-up">
          Registrate!
        </a>
    </span>
  </form>
</div>

</div>